
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mongoDB 定长集合(capped collection) / iVAN</title>

    <meta name="description" content="mongoDB 定长集合(capped collection) 大多数情况下,mongoDB中都是普通的集合,这些集合也称为动态集合,可以自动增长以容纳更多的数据.但这并不适合所有的场景.比如需要保存应用程序的某一个时间段日志,对于历史日志需要定期老化.这种情形下,定长集合就派上了用场.本文描述了定长集合的特性以及给出相关演示. 一.定长集合的特性 需要事先创建,创建时指定大小,即大小固定,后续不可以随意改变 新文档被插入到队列末尾 使用循环的方式老化最老的文档,即不支持从定长集合手动删除文档 数据被顺序写入到磁盘上的固定空间 固定集合不能被分片 由于覆盖特">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mongoDB 定长集合(capped collection)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<blockquote><p>大多数情况下，mongoDB中都是普通的集合，这些集合也称为动态集合，可以自动增长以容纳更多的数据。但这并不适合所有的场景。比如需要保存应用程序的某一个时间段日志，对于历史日志需要定期老化。这种情形下，定长集合就派上了用场。本文描述了定长集合的特性以及给出相关演示。</p></blockquote>
<h2>一、定长集合的特性</h2>
<pre><code>需要事先创建，创建时指定大小，即大小固定，后续不可以随意改变
新文档被插入到队列末尾
使用循环的方式老化最老的文档，即不支持从定长集合手动删除文档
数据被顺序写入到磁盘上的固定空间
固定集合不能被分片
由于覆盖特性，其应用场景通常可以用于记录日志</code></pre>
<h2>二、演示定长集合</h2>
<pre><code>//mongoDB版本及运行环境
C:\Users\Think&gt;mongod --version
db version v3.2.9
git version: 22ec9e93b40c85fc7cae7d56e7d6a02fd811088c
OpenSSL version: OpenSSL 1.0.1p-fips 9 Jul 2015
allocator: tcmalloc
modules: none
build environment:
    distmod: 2008plus-ssl
    distarch: x86_64
    target_arch: x86_64

//创建语法：
db.createCollection(&lt;name&gt;, { capped: &lt;boolean&gt;,
                              autoIndexId: &lt;boolean&gt;,
                              size: &lt;number&gt;,
                              max: &lt;number&gt;,
                              storageEngine: &lt;document&gt;,
                              validator: &lt;document&gt;,
                              validationLevel: &lt;string&gt;,
                              validationAction: &lt;string&gt;,
                              indexOptionDefaults: &lt;document&gt; } ))
name指定集合的名字
autoIndexId是否自动基于_id列创建索引，缺省情况下创建索引
size指定collection的大小。
max指定collection中的document的个数

C:\Users\Think&gt;mongo
MongoDB shell version: 3.2.9
connecting to: test
//创建一个名为log的定长集合，长度为100000个字节
&gt; db.createCollection( "log", { capped: true, size: 100000 } )
{ "ok" : 1 }

//创建一个名为log1的定长集合，长度为5242880个字节，可容纳的文档数为5
&gt; db.createCollection("log1", { capped : true, size : 5242880, max : 5 } )
{ "ok" : 1 }

&gt; for (var i=1;i&lt;10;i++){
... db.log1.insert({"ename":"usr"+i});
... }
WriteResult({ "nInserted" : 1 })
&gt; db.log1.find()
{ "_id" : ObjectId("57cbb1cadbe9385190a86560"), "ename" : "usr5" }
{ "_id" : ObjectId("57cbb1cadbe9385190a86561"), "ename" : "usr6" }
{ "_id" : ObjectId("57cbb1cadbe9385190a86562"), "ename" : "usr7" }
{ "_id" : ObjectId("57cbb1cadbe9385190a86563"), "ename" : "usr8" }
{ "_id" : ObjectId("57cbb1cadbe9385190a86564"), "ename" : "usr9" }

//从上面的测试可知，usr1到usr4已经被覆盖了

//判断一个集合是否是定长集合
&gt; db.log.isCapped()
true

//查看集合的状态
&gt; db.getCollection('log1').stats()
{
        "ns" : "test.log1",
        "count" : 5,
        "size" : 190,
        "avgObjSize" : 38,
        "storageSize" : 16384,
        "capped" : true,    //表示一个定长集合
        "max" : 5,          //最大文档数为5
        "maxSize" : 5242880,//最大长度为5242880
        "sleepCount" : 0,
        "sleepMS" : 0,
          ..........

//定长集合的倒序输出
&gt; var list=db.log1.find().sort( { $natural: -1 } ).toArray();
&gt; printjson(list)
[
        {
                "_id" : ObjectId("57cbb1cadbe9385190a86564"),
                "ename" : "usr9"
        },
        {
                "_id" : ObjectId("57cbb1cadbe9385190a86563"),
                "ename" : "usr8"
        },
        {
                "_id" : ObjectId("57cbb1cadbe9385190a86562"),
                "ename" : "usr7"
        },
        {
                "_id" : ObjectId("57cbb1cadbe9385190a86561"),
                "ename" : "usr6"
        },
        {
                "_id" : ObjectId("57cbb1cadbe9385190a86560"),
                "ename" : "usr5"
        }
]  

//普通集合转换为定长集合

&gt; db.users.insert({ename:"robin",age:25,male:"M"})
WriteResult({ "nInserted" : 1 })
&gt; db.users.isCapped()
false
&gt; db.runCommand({"convertToCapped":"users","size":1000})
{ "ok" : 1 }
&gt; db.users.isCapped()
true</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-25 14:27:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/mongodb/" title="mongodb">mongodb</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mongoDB 定长集合(capped collection)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0O6gPb.html" rel="bookmark">详解MongoDB中创建集合与删除集合的操作方法&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建集合:createCollection() 方法 MongoDB db.createCollection(name, options)  是用来创建集合. 语法: 基本的 createCollection() 命令语法如下: db.createCollection(name, options) 在命令中, name 是要创建的集合的名称. Options 是一个文件,用于指定配置的集合 参数 类型 描述 Name String 要创建的集合名称 Options Document (可选)指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgZ40M.html" rel="bookmark">代码-MongoDB 线程长连接问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 MongoDB 线程长连接问题 我在使用MongoDB的过程当中,遇到如下问题: 我的MongoDB一直存在4个ESTABLISHED 连接,一直未释放,即使任务已经执行完了. 代码如下,其中Client只会在系统启动的时候初始化一次,当然在系统停止contextDestroyed的时候Client也调用了close: public class ExportServer extends BasicMongoServer { public final static Logger LOG			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKO3qb.html" rel="bookmark">c&plus;&plus;-如何在windows下C&plus;&plus;编程实现循环发送定长数据包？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在windows下C++编程实现循环发送定长数据包? 为了对内部网络进行相关测试,所以要用C++编程实现一个循环发包程序,用QT平台进行开发,要发送的数据包都是同样大小,且大小由用户自行设置,用户设置的大小是整个数据包的大小,包括Ip头等等.所以想请问一下这个要用什么实现?rawsocket可以吗? 解决方案 http://www.cnblogs.com/shenck/p/4075141.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKy5oz.html" rel="bookmark">byte-C&num;中socket通信需要将数据按包头和定长分割，如何做</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#中socket通信需要将数据按包头和定长分割,如何做 包头是0x55,每个数据加上包头为11个byte,但是数据中也可能出现0x55,该如何分割 解决方案 一般的解决方法是两种: 1)定义转义符,对内容中的 0x55 进行转义.如将 0x55 转义成 0x54 01;则 0x54 是 0x54 00:用两个字节表示: 2)定义包头后带数据的长度,再加上包尾,最好再加上一个校验位.这样在接收到一包数据后,先按上述定义进行有效性验证. 解决方案二: 包头后面带上长度信息,按长度去截取啊			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QynWp.html" rel="bookmark">请问网站的高宽是采用定长还是采用百分比啊？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问网站的高宽是采用定长还是采用百分比啊? 现在网站的高宽一般有二种办法,一定是定长,一种是百分比,那么一般是采用哪种办法呢? 解决方案 看自己的网站需要吧.如果公司是做html5 app的就采用百分比,如果只有pc端还是用px好点.如果都有,建议写两套 解决方案二: 如果用百分比来限定宽度,排版大量的文字.对于那种2k 4k的显示器来说,是一种灾难.没有人愿意阅读过长的文本 解决方案三: 看具体情况.用的比较多的是960px或者1000px居中. 解决方案四: 这个肯定是要看实际的情			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDXxDKz.html" rel="bookmark">定长内存池之BOOST&colon;&colon;pool</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内存池可有效降低动态申请内存的次数,减少与内核态的交互,提升系统性能,减少内存碎片,增加内存空间使用率,避免内存泄漏的可能性,这么多的优点,没有理由不在系统中使用该技术. 内存池分类: 1.              不定长内存池.典型的实现有apr_pool.obstack.优点是不需要为不同的数据类型创建不同的内存池,缺点是造成分配出的内存不能回收到池中.这是由于这种方案以session为粒度,以业务处理的层次性为设计基础. 2.             定长内存池.典型的实现有LOKI.B			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgWKEOM.html" rel="bookmark">定长字符串的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 项目目前代码dima,basstringa=&quot;123456&quot;b=a'此时b为123456------------想要实现定长字符串自动截取功能例dimaasstringdimbasNewMicrosoft.VisualBasic.Compatibility.VB6.FixedLengthString(5)'定义长度5的字符串a=&quot;123456&quot;b.value=a'此时b.value=12345-----但问题是这样做需要大量修改现行代码如上面的方法,需要为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myn9jdp.html" rel="bookmark">用正则&comma;从指定起始位置&comma;在源字符串之中截取定长字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[代码]用正则, 从指定起始位置, 在源字符串之中截取定长字符串(含中文)[第四版] [代码]用正则, 从指定起始位置开始, 在源字符串之中截取一定长度的字符串[第四版] [代码]使用正则表达式, 从指定的起始位置开始, 在源字符串之中截取一定长度的字符串[第四次修正] [代码]使用正则表达式, 从字符串头部开始, 在源字符串之中截取一定字节长度的字符串 [代码]使用正则表达式, 从指定的起始位置开始, 在源字符串之中截取一定长度的字符串 (BTW: 中文编码很复杂也有些不合理的地方 高位是 0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQ7YJb.html" rel="bookmark">深入SQL Server中定长char&lpar;n&rpar;与变长varchar&lpar;n&rpar;的区别详解&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				char(n)是定长格式,格式为char(n)的字段固定占用n个字符宽度,如果实际存放的数据长度超过n将被截取多出部分,如果长度小于n就用空字符填充. varchar(n)是变长格式,这种格式的字段根据实际数据长度分配空间,不浪费对于的空间,但是搜索数据的速度会麻烦一点. 一般地说,只要一个表有一个字段定义为varchar(n)类型,那么其余用char(n)定义的字段实际上也是varchar(n)类型. 如果你的长度本身不长,比如就3-10个字符,那么使用char(n)格式效率比较高,搜索速度快			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOa25M.html" rel="bookmark" class="title">【android相关】【问题解决】R&period;java文件丢失</a>
					<div>
						在进行android开发过程中,有时候,我们会遇到gen文件中R.java丢失的现象.重新build,或者clean工程,close并重新打开Project,但有时也没解决. 这可能是由于不小心把xm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd4jXp.html" rel="bookmark" class="title">【C&num;】Decimal的类型判断！</a>
					<div>
						本人在写这些类方法或函数的时候,难免有些错误或bug存在,请各位网友多多指教!shixiang9076@sina.com. using System;using System.Drawing;usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7RL8b.html" rel="bookmark" class="title">CLR笔记：9&period;Property</a>
					<div>
						属性分两种,无参属性,有参属性,后者又叫索引器(indexer)--VB.NET中相应为默认属性. 1.无参属性 CLR支持静态属性,实例属性,抽象属性,虚拟属性,但不能被重载. 属性在MSIL中生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKQv6p.html" rel="bookmark" class="title">android 单选按钮 RadioButton 自定义图片左边距</a>
					<div>
						当我们自己设定一个单选图片的时候,一般都会设置 paddingLeft 让文字接在单选按钮图片的右边. 这样因为分辨率不同,会出现文字便宜不正常,解决方法就是:我们需要动态计算paddingLeft, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A0JDp.html" rel="bookmark" class="title">ie浏览器无法打开搜索页怎么解决</a>
					<div>
						  ie浏览器无法打开搜索页怎么解决 ie浏览器无法打开搜索页怎么解决 解决方法:可以用此解决方法: 1.在&quot;开始&quot;菜单中打开&quot;运行&quot;窗口,在其中输入&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7237M.html" rel="bookmark" class="title">Windows 8中找回F8下的安全模式</a>
					<div>
						在Windows 8中我们将不能在开机时按F8键进入安全模式,这是由于Windows 8新的安全启动机制所限制的.安全模式在某些情况下是非常有用的,新系统不知为什么把这个功能直接干掉了,想使用很是不方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBBLaz.html" rel="bookmark" class="title">阿云浏览器有哪些快捷标签操作</a>
					<div>
						  如果您希望实现&quot;双击标签栏空白区新建标签&quot;.&quot;使用鼠标拖拽文字搜索或打开新页面&quot;.&quot;双击标签后关闭该标签&quot;的操作,您只需在&quot;标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjK9Wb.html" rel="bookmark" class="title">本人自用的global&period;js库源码分享</a>
					<div>
						 这篇文章主要介绍了本人自用的global.js库源码分享,源码中包含常用WEB操作,如命名空间.DOM操作.数据判断.Cookie操作等功能,需要的朋友可以参考下     ? 1 2 3 4 5 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA2DKM.html" rel="bookmark" class="title">Android利用HorizontalScrollView仿ViewPager设计简单相册&lowbar;Android</a>
					<div>
						最近学习了一个视频公开课,讲到了利用HorizontalScrollView仿ViewPager设计的一个简单相册,其实主要用了ViewPager缓存的思想.此篇文章参考:Android自定义Hori ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRLK3z.html" rel="bookmark" class="title">阿里内核月报2014年5月-06月</a>
					<div>
						The initial kGraft submission 长久以来,重启操作系统来安装一个内核补丁一直是一个烦人的事情.很多时候,重启系统的时机会受到其他条件的限制.此外,用户则更希望能够在不重启系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl51xb.html" rel="bookmark" class="title">漫步在云端如何比对数据表笔数</a>
					<div>
						数据库转移到不同服务器后, 想要比对各6184.html&quot;&gt;数据表笔数有没有不同 若数据值或是笔数不同,代表在移转过程仍有应用程序在操作数据库,会造成数据不一致. RESOLUTION ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6r8Nb.html" rel="bookmark" class="title">sql update-学生党 根据成绩表修改学生表&OpenCurlyDoubleQuote;考试课程数&rdquo;字段</a>
					<div>
						问题描述 学生党 根据成绩表修改学生表&quot;考试课程数&quot;字段 需求:根据成绩表中的课程编号COURNO数据,统计考试课程数(一个学生要考几门课),并更新学生表&quot;考试课程数&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo9Vjb.html" rel="bookmark" class="title">《深入理解ElasticSearch》&mdash;&mdash;导读</a>
					<div>
						前 言 Preface 欢迎来到ElasticSearch的世界.通过阅读本书,我们将带你接触与ElasticSearch紧密相关的各种话题.本书会从介绍Apache Lucene及ElasticSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwXx5p.html" rel="bookmark" class="title">c&plus;&plus;  cin-输入数据如何把空格变为冒号</a>
					<div>
						问题描述 输入数据如何把空格变为冒号 在c++中输入数据时,如何把空格变为 : 即 2 3 4变为 2:3:4 解决方案 如果输入是字符串的话可以用Replace( )方法 解决方案二: 考虑把输入数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RrZqb.html" rel="bookmark" class="title">关于这个手机滑动解锁效果为什么会限制不了，</a>
					<div>
						问题描述 关于这个手机滑动解锁效果为什么会限制不了, &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1QAOz.html" rel="bookmark" class="title">作弊神器果壳智能手表保你不挂科</a>
					<div>
						比利时的Artevelde学院可能成为全球第一家禁止学生佩戴手表参加考试的学院,据当地媒体报导,此举是因应智能手表的日益流行和随之而来的应用于作弊的可能性.中国的小伙伴们,你们懂了吗?英语四六级和期末 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB13ZOz.html" rel="bookmark" class="title">8月16日MIUI6发布</a>
					<div>
						小米公司董事长雷军在2014的小米年度发布会上宣布,全新的MIUI6在8月16日独立发布,而截至目前为止,MIUI的激活用户数已经超过了6500万. 根据雷军的介绍,MIUI成为了小米生态系统的重要组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZZ9kp.html" rel="bookmark" class="title">创业预测：2014移动互联网向哪走？</a>
					<div>
						从2011年至今,移动互联网的创业浪潮已经汹涌了三年,互联网的巨头们先后推出移动客户端,抢占移动平台.而许许多多的创业者们也纷纷看到了移动互联网的火热前景,前仆后继投入到移动互联网的行业之中来.而今三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkOJ0M.html" rel="bookmark" class="title">5G网络背后：SDN将成关键支撑</a>
					<div>
						1.5G时代:提升的不仅是移动上网速度 从2G到3G/4G时代,移动网络速度的&quot;质变&quot;全面改变了我们的工作和生活,也让我们对于5G时代有了更多的憧憬.特别是进入2016年后,从标  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKnXZp.html" rel="bookmark" class="title">国际最知名的黑客赛事Pwn2Own已经走到第九个年头</a>
					<div>
						摘要: 开办至今,国际最知名的黑客赛事 Pwn2Own 已经走到第九个年头.Pwn2Own 以高额奖金著称,由 ZDI 主办,另由 Google.Microsoft.Apple 和 Adobe 等科技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqVPmb.html" rel="bookmark" class="title">立顿茶重金属含量超标有前科曾瞒报问题3个月</a>
					<div>
						据新华社电 近日,环保组织发布报告称,茶企&quot;立顿&quot;在中国销售的红茶.绿茶.茉莉花茶和铁观音袋泡茶,被检出17种农药残留.报告显示,农药残留量虽然符合中国国标,但其中7种未被欧盟批准 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEwByp.html" rel="bookmark" class="title">利用PHP函数计算中英文字符串长度</a>
					<div>
						例子  代码如下 复制代码 echo $str = 'PHP点点通';   echo strlen($str); //3*1+3*3=12 echo mb_strlen($str, 'gb2312') ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWn3Oz.html" rel="bookmark" class="title">解析优化MySQL插入方法的五个妙招&lowbar;Mysql</a>
					<div>
						工作中遇到大概20万的数据插入操作,程序编完后发现运行超时,修改PHP最大执行时间到600,还是超时,检查超时前插入的数据条数推算一下,大概要处理40~60分钟才能插入完成,看来程序写的效率太低,得优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLWkDM.html" rel="bookmark" class="title">java-评论功能：列表怎么刷新到最新的评论内容呢</a>
					<div>
						问题描述 评论功能:列表怎么刷新到最新的评论内容呢 评论功能:评论列表startActivityForResult到另外一个activity之后,setResult回到评论列表,怎么刷新到最新的评论内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK40dz.html" rel="bookmark" class="title">重构机房收费系统之 模板方法模式</a>
					<div>
						            对于模板方法模式的使用,我后悔自己用晚了,因为我们的机房收费收费系统有很多窗体是几乎一样的,如果我们不用模板方法模式,就会大大增加工作量,首先,我们需要重复的创建窗体,其次我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRddJ8z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;诱惑&OpenCurlyDoubleQuote;用户-提高用户使用黏性的方法</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 还记得和爱人难忘的约会情境么?出门前花时间打扮让自己看起来更动人;见面时做出各种有趣的行为来与对方交流:互相调侃在适当的时候送上美丽的笑容,问卖萌的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y4ljp.html" rel="bookmark" class="title">100分求C&num;和C&plus;&plus;都能够加解密的代码</a>
					<div>
						问题描述 我有一个DLL是用VC写的DES加密,但是用VC的DES加密后的密文用C#解密不了,因此很郁闷,只能把C++的DLL放到服务器上让C#来调,这样勉强解决,但后来又用的是免费空间了,人家不让用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjonwZM.html" rel="bookmark" class="title">C&plus;&plus;模板类的用法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++模板类的用法,分享给大家供大家参考.具体实现方法如下: main.h头文件如下: 复制代码 代码如下: template &lt;class T&gt;  class action ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1D1oM.html" rel="bookmark" class="title">降至50美元以下 亚马逊让 Echo进入每个美国家庭</a>
					<div>
						如果有智能家庭这个领域的话,亚马逊目前处在独占鳌头的位置.凭借旗下热销的 Echo&quot;智能音箱&quot;,亚马逊找到了互联网公司将其服务带入家庭的一种方式. Amazon Echo 是亚马逊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWdn8M.html" rel="bookmark" class="title">纪源资本符绩勋：投资时机比价格重要</a>
					<div>
						从百度战略投资去哪儿的中间&quot;媒人&quot;到土豆优酷合并案的幕后推手,新加坡人符绩勋将投资人穿针引线把握时机的特质完美展现.纪源资本全球合伙人在美国硅谷合影,右一是纪源资本创始合伙人在吴家 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
